Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.comm.protocol
Class RequestData

    java.lang.Object
      |
      +--context.arch.comm.protocol.RequestData

public class RequestData
extends java.lang.Object

This class maintains the data received in a request

Field Summary
`static java.lang.String` | `DECODE` Specifies that this type of request requires decoding

Constructor Summary
`RequestData()` Basic empty constructor
`RequestData(java.lang.String type, java.lang.String line, java.io.Reader data)` Constructor with request type, single input line and complete data

Method Summary
`java.io.Reader` | `getData()` Returns the complete request data
`java.lang.String` | `getLine()` Returns the single line of request data
`java.lang.String` | `getType()` Returns the type of request
`void` | `setData(java.io.Reader data)` Sets the complete request data Reader
`void` | `setLine(java.lang.String line)` Sets the single line of request data
`void` | `setType(java.lang.String type)` Sets the type of request

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DECODE

    public static final java.lang.String DECODE

  Specifies that this type of request requires decoding

Constructor Detail

### RequestData

    public RequestData()

  Basic empty constructor

### RequestData

    public RequestData(java.lang.String type,
                       java.lang.String line,
                       java.io.Reader data)

  Constructor with request type, single input line and complete data
  Parameters:
    `type` - Type of request
    `line` - Single line of input
    `data` - Rest of request data in an Reader

Method Detail

### getType

    public java.lang.String getType()

  Returns the type of request
  Returns:
    the type of request

### getLine

    public java.lang.String getLine()

  Returns the single line of request data
  Returns:
    the single line of request data

### getData

    public java.io.Reader getData()

  Returns the complete request data
  Returns:
    the complete request data in an Reader

### setLine

    public void setLine(java.lang.String line)

  Sets the single line of request data
  Parameters:
    `line` - The single line of request data

### setData

    public void setData(java.io.Reader data)

  Sets the complete request data Reader
  Parameters:
    `data` - The complete request data

### setType

    public void setType(java.lang.String type)

  Sets the type of request
  Parameters:
    `data` - The type of request

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD